Package groovy.security

# Class GroovyCodeSourcePermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
groovy.security.GroovyCodeSourcePermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class GroovyCodeSourcePermission extends BasicPermission
Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyCodeSourcePermission(String name)`
  `GroovyCodeSourcePermission(String name, String actions)`

- ## Method Summary

  ### Methods inherited from class java.security.BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods inherited from class java.security.Permission

  `checkGuard, getName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name)

  - ### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name, String actions)